{
  description = "NixOS ISO of netali";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs = { self, nixpkgs, flake-utils, ... }@inputs: {

    iso = (nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = inputs;
      modules = [ ./iso.nix ];
    }).config.system.build.isoImage;

    hydraJobs.iso = self.iso;

    overlays.default = (import ./packages);
  } // flake-utils.lib.eachDefaultSystem (system: let
    pkgs = nixpkgs.legacyPackages.${system};
  in {
    packages = {
      netali-configure-net-ruby = pkgs.callPackage ./packages/netali-configure-net-ruby {};
      netali-default-config-ruby = pkgs.callPackage ./packages/netali-default-config-ruby {};
    };
  });
}
